Triplet (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp.modca.triplets

## Interface Triplet

- All Superinterfaces:
    Streamable, StructuredData
  All Known Implementing Classes:
    AbstractTriplet, ActiveEnvironmentGroup.FontFullyQualifiedNameTriplet, AttributeQualifierTriplet, AttributeValueTriplet, CommentTriplet, DescriptorPositionTriplet, EncodingTriplet, ExtendedResourceLocalIdentifierTriplet, FullyQualifiedNameTriplet, MappingOptionTriplet, MeasurementUnitsTriplet, ObjectAreaSizeTriplet, ObjectByteExtentTriplet, ObjectClassificationTriplet, PresentationSpaceMixingRulesTriplet, PresentationSpaceResetMixingTriplet, ResourceObjectTypeTriplet

      public interface Triplet
      extends Streamable, StructuredData

  Triplet interface.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `AREA_DEFINITION` AREA_DEFINITION triplet identifier
    `static byte` | `ATTRIBUTE_QUALIFIER` ATTRIBUTE_QUALIFIER triplet identifier
    `static byte` | `ATTRIBUTE_VALUE` ATTRIBUTE_VALUE triplet identifier
    `static byte` | `CHARACTER_ROTATION` CHARACTER_ROTATION triplet identifier
    `static byte` | `CMR_TAG_FIDELITY` CMR_TAG_FIDELITY triplet identifier
    `static byte` | `CODED_GRAPHIC_CHARACTER_SET_GLOBAL_IDENTIFIER` CODED_GRAPHIC_CHARACTER_SET_GLOBAL_IDENTIFIER identifier
    `static byte` | `COLOR_FIDELITY` COLOR_FIDELITY triplet identifier
    `static byte` | `COLOR_MANAGEMENT_RESOURCE_DESCRIPTOR` COLOR_MANAGEMENT_RESOURCE_DESCRIPTOR triplet identifier
    `static byte` | `COLOR_SPECIFICATION` COLOR_SPECIFICATION triplet identifier
    `static byte` | `COMMENT` COMMENT triplet identifier
    `static byte` | `DATA_OBJECT_FONT_DESCRIPTOR` DATA_OBJECT_FONT_DESCRIPTOR triplet identifier
    `static byte` | `DESCRIPTOR_POSITION` DESCRIPTOR_POSITION triplet identifier
    `static byte` | `DEVICE_APPEARANCE` DEVICE_APPEARANCE triplet identifier
    `static byte` | `ENCODING_SCHEME_ID` ENCODING_SCHEME_ID triplet identifier
    `static byte` | `EXTENDED_RESOURCE_LOCAL_IDENTIFIER` EXTENDED_RESOURCE_LOCAL_IDENTIFIER triplet identifier
    `static byte` | `FINISHING_FIDELITY` FINISHING_FIDELITY triplet identifier
    `static byte` | `FINISHING_OPERATION` FINISHING_OPERATION triplet identifier
    `static byte` | `FONT_DESCRIPTOR_SPECIFICATION` FONT_DESCRIPTOR_SPECIFICATION triplet identifier
    `static byte` | `FONT_FIDELITY` FONT_FIDELITY triplet identifier
    `static byte` | `FONT_HORIZONTAL_SCALE_FACTOR` FONT_HORIZONTAL_SCALE_FACTOR triplet identifier
    `static byte` | `FONT_RESOLUTION_AND_METRIC_TECHNOLOGY` FONT_RESOLUTION_AND_METRIC_TECHNOLOGY triplet identifier
    `static byte` | `FULLY_QUALIFIED_NAME` FULLY_QUALIFIED_NAME triplet identifier
    `static byte` | `LOCALE_SELECTOR` LOCALE_SELECTOR triplet identifier
    `static byte` | `MAPPING_OPTION` MAPPING_OPTION triplet identifier
    `static int` | `MAX_LENGTH` maximum length
    `static byte` | `MEASUREMENT_UNITS` MEASUREMENT_UNITS triplet identifier
    `static byte` | `MEDIA_EJECT_CONTROL` MEDIA_EJECT_CONTROL triplet identifier
    `static byte` | `MEDIA_FIDELITY` MEDIA_FIDELITY triplet identifier
    `static byte` | `MEDIUM_MAP_PAGE_NUMBER` MEDIUM_MAP_PAGE_NUMBER triplet identifier
    `static byte` | `MEDIUM_ORIENTATION` MEDIUM_ORIENTATION triplet identifier
    `static byte` | `MODCA_INTERCHANGE_SET` MODCA_INTERCHANGE_SET triplet identifier
    `static byte` | `OBJECT_AREA_SIZE` OBJECT_AREA_SIZE triplet identifier
    `static byte` | `OBJECT_BYTE_EXTENT` OBJECT_BYTE_EXTENT triplet identifier
    `static byte` | `OBJECT_BYTE_OFFSET` OBJECT_BYTE_OFFSET triplet identifier
    `static byte` | `OBJECT_CLASSIFICATION` OBJECT_CLASSIFICATION triplet identifier
    `static byte` | `OBJECT_COUNT` OBJECT_COUNT triplet identifier
    `static byte` | `OBJECT_DATE_AND_TIMESTAMP` OBJECT_DATE_AND_TIMESTAMP triplet identifier
    `static byte` | `OBJECT_FUNCTION_SET_SPECIFICATION` OBJECT_FUNCTION_SET_SPECIFICATION triplet identifier
    `static byte` | `OBJECT_OFFSET` OBJECT_OFFSET triplet identifier
    `static byte` | `OBJECT_STRUCTURED_FIELD_EXTENT` OBJECT_STRUCTURED_FIELD_EXTENT triplet identifier
    `static byte` | `OBJECT_STRUCTURED_FIELD_OFFSET` OBJECT_STRUCTURED_FIELD_OFFSET triplet identifier
    `static byte` | `PAGE_OVERLAY_CONDITIONAL_PROCESSING` PAGE_OVERLAY_CONDITIONAL_PROCESSING triplet identifier
    `static byte` | `PAGE_POSITION_INFORMATION` PAGE_POSITION_INFORMATION triplet identifier
    `static byte` | `PARAMETER_VALUE` PARAMETER_VALUE triplet identifier
    `static byte` | `PRESENTATION_CONTROL` PRESENTATION_CONTROL triplet identifier
    `static byte` | `PRESENTATION_SPACE_MIXING_RULE` PRESENTATION_SPACE_MIXING_RULE triplet identifier
    `static byte` | `PRESENTATION_SPACE_RESET_MIXING` PRESENTATION_SPACE_RESET_MIXING triplet identifier
    `static byte` | `RENDERING_INTENT` RENDERING_INTENT triplet identifier
    `static byte` | `RESOURCE_LOCAL_IDENTIFIER` RESOURCE_LOCAL_IDENTIFIER triplet identifier
    `static byte` | `RESOURCE_OBJECT_INCLUDE` RESOURCE_OBJECT_INCLUDE triplet identifier
    `static byte` | `RESOURCE_SECTION_NUMBER` RESOURCE_SECTION_NUMBER triplet identifier
    `static byte` | `RESOURCE_USAGE_ATTRIBUTE` RESOURCE_USAGE_ATTRIBUTE triplet identifier
    `static byte` | `TEXT_FIDELITY` TEXT_FIDELITY triplet identifier
    `static byte` | `TONER_SAVER` TONER_SAVER triplet identifier
    `static byte` | `UNIVERSAL_DATE_AND_TIMESTAMP` UNIVERSAL_DATE_AND_TIMESTAMP triplet identifier
    `static byte` | `UP3I_FINISHING_OPERATION` UP3I_FINISHING_OPERATION triplet identifier

  - ### Method Summary

    - ### Methods inherited from interface org.apache.fop.afp.Streamable

      `writeToStream`

    - ### Methods inherited from interface org.apache.fop.afp.StructuredData

      `getDataLength`

- - ### Field Detail

    - #### MAX_LENGTH

          static final int MAX_LENGTH

      maximum length
      See Also:
        Constant Field Values

    - #### CODED_GRAPHIC_CHARACTER_SET_GLOBAL_IDENTIFIER

          static final byte CODED_GRAPHIC_CHARACTER_SET_GLOBAL_IDENTIFIER

      CODED_GRAPHIC_CHARACTER_SET_GLOBAL_IDENTIFIER identifier
      See Also:
        Constant Field Values

    - #### FULLY_QUALIFIED_NAME

          static final byte FULLY_QUALIFIED_NAME

      FULLY_QUALIFIED_NAME triplet identifier
      See Also:
        Constant Field Values

    - #### MAPPING_OPTION

          static final byte MAPPING_OPTION

      MAPPING_OPTION triplet identifier
      See Also:
        Constant Field Values

    - #### OBJECT_CLASSIFICATION

          static final byte OBJECT_CLASSIFICATION

      OBJECT_CLASSIFICATION triplet identifier
      See Also:
        Constant Field Values

    - #### MODCA_INTERCHANGE_SET

          static final byte MODCA_INTERCHANGE_SET

      MODCA_INTERCHANGE_SET triplet identifier
      See Also:
        Constant Field Values

    - #### FONT_DESCRIPTOR_SPECIFICATION

          static final byte FONT_DESCRIPTOR_SPECIFICATION

      FONT_DESCRIPTOR_SPECIFICATION triplet identifier
      See Also:
        Constant Field Values

    - #### OBJECT_FUNCTION_SET_SPECIFICATION

          static final byte OBJECT_FUNCTION_SET_SPECIFICATION

      OBJECT_FUNCTION_SET_SPECIFICATION triplet identifier
      See Also:
        Constant Field Values

    - #### EXTENDED_RESOURCE_LOCAL_IDENTIFIER

          static final byte EXTENDED_RESOURCE_LOCAL_IDENTIFIER

      EXTENDED_RESOURCE_LOCAL_IDENTIFIER triplet identifier
      See Also:
        Constant Field Values

    - #### RESOURCE_LOCAL_IDENTIFIER

          static final byte RESOURCE_LOCAL_IDENTIFIER

      RESOURCE_LOCAL_IDENTIFIER triplet identifier
      See Also:
        Constant Field Values

    - #### RESOURCE_SECTION_NUMBER

          static final byte RESOURCE_SECTION_NUMBER

      RESOURCE_SECTION_NUMBER triplet identifier
      See Also:
        Constant Field Values

    - #### CHARACTER_ROTATION

          static final byte CHARACTER_ROTATION

      CHARACTER_ROTATION triplet identifier
      See Also:
        Constant Field Values

    - #### OBJECT_BYTE_OFFSET

          static final byte OBJECT_BYTE_OFFSET

      OBJECT_BYTE_OFFSET triplet identifier
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_VALUE

          static final byte ATTRIBUTE_VALUE

      ATTRIBUTE_VALUE triplet identifier
      See Also:
        Constant Field Values

    - #### DESCRIPTOR_POSITION

          static final byte DESCRIPTOR_POSITION

      DESCRIPTOR_POSITION triplet identifier
      See Also:
        Constant Field Values

    - #### MEDIA_EJECT_CONTROL

          static final byte MEDIA_EJECT_CONTROL

      MEDIA_EJECT_CONTROL triplet identifier
      See Also:
        Constant Field Values

    - #### PAGE_OVERLAY_CONDITIONAL_PROCESSING

          static final byte PAGE_OVERLAY_CONDITIONAL_PROCESSING

      PAGE_OVERLAY_CONDITIONAL_PROCESSING triplet identifier
      See Also:
        Constant Field Values

    - #### RESOURCE_USAGE_ATTRIBUTE

          static final byte RESOURCE_USAGE_ATTRIBUTE

      RESOURCE_USAGE_ATTRIBUTE triplet identifier
      See Also:
        Constant Field Values

    - #### MEASUREMENT_UNITS

          static final byte MEASUREMENT_UNITS

      MEASUREMENT_UNITS triplet identifier
      See Also:
        Constant Field Values

    - #### OBJECT_AREA_SIZE

          static final byte OBJECT_AREA_SIZE

      OBJECT_AREA_SIZE triplet identifier
      See Also:
        Constant Field Values

    - #### AREA_DEFINITION

          static final byte AREA_DEFINITION

      AREA_DEFINITION triplet identifier
      See Also:
        Constant Field Values

    - #### COLOR_SPECIFICATION

          static final byte COLOR_SPECIFICATION

      COLOR_SPECIFICATION triplet identifier
      See Also:
        Constant Field Values

    - #### ENCODING_SCHEME_ID

          static final byte ENCODING_SCHEME_ID

      ENCODING_SCHEME_ID triplet identifier
      See Also:
        Constant Field Values

    - #### MEDIUM_MAP_PAGE_NUMBER

          static final byte MEDIUM_MAP_PAGE_NUMBER

      MEDIUM_MAP_PAGE_NUMBER triplet identifier
      See Also:
        Constant Field Values

    - #### OBJECT_BYTE_EXTENT

          static final byte OBJECT_BYTE_EXTENT

      OBJECT_BYTE_EXTENT triplet identifier
      See Also:
        Constant Field Values

    - #### OBJECT_STRUCTURED_FIELD_OFFSET

          static final byte OBJECT_STRUCTURED_FIELD_OFFSET

      OBJECT_STRUCTURED_FIELD_OFFSET triplet identifier
      See Also:
        Constant Field Values

    - #### OBJECT_STRUCTURED_FIELD_EXTENT

          static final byte OBJECT_STRUCTURED_FIELD_EXTENT

      OBJECT_STRUCTURED_FIELD_EXTENT triplet identifier
      See Also:
        Constant Field Values

    - #### OBJECT_OFFSET

          static final byte OBJECT_OFFSET

      OBJECT_OFFSET triplet identifier
      See Also:
        Constant Field Values

    - #### FONT_HORIZONTAL_SCALE_FACTOR

          static final byte FONT_HORIZONTAL_SCALE_FACTOR

      FONT_HORIZONTAL_SCALE_FACTOR triplet identifier
      See Also:
        Constant Field Values

    - #### OBJECT_COUNT

          static final byte OBJECT_COUNT

      OBJECT_COUNT triplet identifier
      See Also:
        Constant Field Values

    - #### OBJECT_DATE_AND_TIMESTAMP

          static final byte OBJECT_DATE_AND_TIMESTAMP

      OBJECT_DATE_AND_TIMESTAMP triplet identifier
      See Also:
        Constant Field Values

    - #### COMMENT

          static final byte COMMENT

      COMMENT triplet identifier
      See Also:
        Constant Field Values

    - #### MEDIUM_ORIENTATION

          static final byte MEDIUM_ORIENTATION

      MEDIUM_ORIENTATION triplet identifier
      See Also:
        Constant Field Values

    - #### RESOURCE_OBJECT_INCLUDE

          static final byte RESOURCE_OBJECT_INCLUDE

      RESOURCE_OBJECT_INCLUDE triplet identifier
      See Also:
        Constant Field Values

    - #### PRESENTATION_SPACE_RESET_MIXING

          static final byte PRESENTATION_SPACE_RESET_MIXING

      PRESENTATION_SPACE_RESET_MIXING triplet identifier
      See Also:
        Constant Field Values

    - #### PRESENTATION_SPACE_MIXING_RULE

          static final byte PRESENTATION_SPACE_MIXING_RULE

      PRESENTATION_SPACE_MIXING_RULE triplet identifier
      See Also:
        Constant Field Values

    - #### UNIVERSAL_DATE_AND_TIMESTAMP

          static final byte UNIVERSAL_DATE_AND_TIMESTAMP

      UNIVERSAL_DATE_AND_TIMESTAMP triplet identifier
      See Also:
        Constant Field Values

    - #### TONER_SAVER

          static final byte TONER_SAVER

      TONER_SAVER triplet identifier
      See Also:
        Constant Field Values

    - #### COLOR_FIDELITY

          static final byte COLOR_FIDELITY

      COLOR_FIDELITY triplet identifier
      See Also:
        Constant Field Values

    - #### FONT_FIDELITY

          static final byte FONT_FIDELITY

      FONT_FIDELITY triplet identifier
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_QUALIFIER

          static final byte ATTRIBUTE_QUALIFIER

      ATTRIBUTE_QUALIFIER triplet identifier
      See Also:
        Constant Field Values

    - #### PAGE_POSITION_INFORMATION

          static final byte PAGE_POSITION_INFORMATION

      PAGE_POSITION_INFORMATION triplet identifier
      See Also:
        Constant Field Values

    - #### PARAMETER_VALUE

          static final byte PARAMETER_VALUE

      PARAMETER_VALUE triplet identifier
      See Also:
        Constant Field Values

    - #### PRESENTATION_CONTROL

          static final byte PRESENTATION_CONTROL

      PRESENTATION_CONTROL triplet identifier
      See Also:
        Constant Field Values

    - #### FONT_RESOLUTION_AND_METRIC_TECHNOLOGY

          static final byte FONT_RESOLUTION_AND_METRIC_TECHNOLOGY

      FONT_RESOLUTION_AND_METRIC_TECHNOLOGY triplet identifier
      See Also:
        Constant Field Values

    - #### FINISHING_OPERATION

          static final byte FINISHING_OPERATION

      FINISHING_OPERATION triplet identifier
      See Also:
        Constant Field Values

    - #### TEXT_FIDELITY

          static final byte TEXT_FIDELITY

      TEXT_FIDELITY triplet identifier
      See Also:
        Constant Field Values

    - #### MEDIA_FIDELITY

          static final byte MEDIA_FIDELITY

      MEDIA_FIDELITY triplet identifier
      See Also:
        Constant Field Values

    - #### FINISHING_FIDELITY

          static final byte FINISHING_FIDELITY

      FINISHING_FIDELITY triplet identifier
      See Also:
        Constant Field Values

    - #### DATA_OBJECT_FONT_DESCRIPTOR

          static final byte DATA_OBJECT_FONT_DESCRIPTOR

      DATA_OBJECT_FONT_DESCRIPTOR triplet identifier
      See Also:
        Constant Field Values

    - #### LOCALE_SELECTOR

          static final byte LOCALE_SELECTOR

      LOCALE_SELECTOR triplet identifier
      See Also:
        Constant Field Values

    - #### UP3I_FINISHING_OPERATION

          static final byte UP3I_FINISHING_OPERATION

      UP3I_FINISHING_OPERATION triplet identifier
      See Also:
        Constant Field Values

    - #### COLOR_MANAGEMENT_RESOURCE_DESCRIPTOR

          static final byte COLOR_MANAGEMENT_RESOURCE_DESCRIPTOR

      COLOR_MANAGEMENT_RESOURCE_DESCRIPTOR triplet identifier
      See Also:
        Constant Field Values

    - #### RENDERING_INTENT

          static final byte RENDERING_INTENT

      RENDERING_INTENT triplet identifier
      See Also:
        Constant Field Values

    - #### CMR_TAG_FIDELITY

          static final byte CMR_TAG_FIDELITY

      CMR_TAG_FIDELITY triplet identifier
      See Also:
        Constant Field Values

    - #### DEVICE_APPEARANCE

          static final byte DEVICE_APPEARANCE

      DEVICE_APPEARANCE triplet identifier
      See Also:
        Constant Field Values

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.